Package tigase.server

# Interface MessageReceiver

All Superinterfaces:
  `ServerComponent`

All Known Implementing Classes:
  `AbstractComponent`, `AbstractKernelBasedComponent`, `AbstractMessageReceiver`, `AmpComponent`, `AmpComponentClustered`, `BoshConnectionClustered`, `BoshConnectionManager`, `ClientConnectionClustered`, `ClientConnectionManager`, `ClusterConnectionManager`, `ComponentConnectionManager`, `ComponentProtocol`, `ComponentProtocolManager`, `ConnectionManager`, `EchoComponent`, `EventBusComponent`, `EventBusComponent`, `ExternalServiceDiscoveryComponent`, `MessageRouter`, `MonitorComponent`, `MonitorComponent`, `RTBLComponent`, `S2SConnectionManager`, `SessionManager`, `SessionManagerClustered`, `TestComponent`, `WebSocketClientConnectionClustered`, `WebSocketClientConnectionManager`

public interface MessageReceiver extends ServerComponent
Interface MessageReceiver
Objects of this type can receive messages. They can be in fact routing destination depending on target address. Message are routed to proper destination in MessageRouter class.
Created: Tue Nov 22 07:07:11 2005

Author:
  Artur Hefczyc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `addPacket(Packet packet)`
  `boolean`
  `addPacketNB(Packet packet)`
  `boolean`
  `addPackets(Queue<Packet> packets)`
  `BareJID`
  `getDefHostName()`
  `boolean`
  `isInRegexRoutings(String address)`
  `void`
  `setParent(MessageReceiver msg_rec)`
  `void`
  `start()`

  ### Methods inherited from interface tigase.server.ServerComponent

  `getComponentId, getComponentInfo, getName, initializationCompleted, isInitializationComplete, processPacket, release, setName`

- ## Method Details

  - ### addPacket

    boolean addPacket(Packet packet)

  - ### addPacketNB

    boolean addPacketNB(Packet packet)

  - ### addPackets

    boolean addPackets(Queue<Packet> packets)

  - ### getDefHostName

    BareJID getDefHostName()

  - ### isInRegexRoutings

    boolean isInRegexRoutings(String address)

  - ### setParent

    void setParent(MessageReceiver msg_rec)

  - ### start

    void start()